Kerbal Space Program - Bug #432

Using IVA viewports unsets current rendezvous/docking target
03/17/2013 09:25 PM - Plint
Description

After a target is selected in the Orbital Map, going into IVA and double-clicking a window to look through it will unset the target.

Not catastrophic, but annoying, since it is currently difficult or impossible to re-select the target in the map when relatively close to it
(see a related issue at http://bugs.kerbalspaceprogram.com/issues/348 ). Not sure if this should go under Docking or IVA, but |
settled on Docking considering that's the activity that this issue seems most likely to affect.

For the sake of completeness:
Windows Vista Ultimate 64-bit
ATI Sapphire Radeon HD4870

History

#1 - 03/24/2013 01:28 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

I can confirm this in Windows 7 64 bit, clean install. | believe it stems from the fact that double-clicking anywhere in space outside of map view will
deselect the current target. The double-click in Map view is used to switch between ships.

That being said, I'm not sure that this should be classified as a bug or a feature request.

#2 - 04/28/2015 03:22 AM - RexKramer

- Status changed from Confirmed to Need More Info
- % Done changed from 10 to 0

- Platform Any added

Tested in 1.0. Double clicking on the window in IVA does indeed unselect the target. However, I'm wondering why the double click on the window is
being done.

Having a target be deselected after double clicking on empty space is normal and expected behavior in the game, so I'm thinking this is not a bug. As
the original report dates back to 0.19, I'm wondering if there was a reason to double click a window in 0.19.

Marking need more info for now. In the absence of more info, this should be marked Not A Bug.

#3 - 01/10/2016 01:05 AM - AdamMil
- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

It definitely is a bug. Deselecting the target on double click may make sense in map view or external ship views, but it doesn't make sense - and is
very annoying - when trying to fly missions by IVA. The whole "double-click a target to select it or double-click empty space to deselect your target"
thing simply doesn't apply to IVA, and should be disabled in IVA view. The reason it's annoying is that the IVA interface generally involves clicking on
buttons, and sometimes you want to click quickly. It's annoying to have to choose between clicking buttons very slowly and losing your target all the
time.

Also, double-clicking a window in IVA moves the camera to let you look out the window. You can double-click a second time to put the camera back.
http://bugs.kerbalspaceprogram.com/issues/348

#4 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#5 - 11/01/2016 12:28 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Double-clicking in IVA no longer adjusts the target - closing this one
